libqscintilla2-qt4-devel-2.11.2-alt1.i586.rpm


Advertisement

Description

libqscintilla2-qt4-devel - Header files for qscintilla2

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libqscintilla2-qt4-devel-2.11.2-alt1.i586.rpm
Package name libqscintilla2-qt4-devel
Package version 2.11.2
Package release alt1
Package architecture i586
Package type rpm
Category Development/KDE and QT
Homepage -
License -
Maintainer -
Download size 460.65 KB
Installed size 460.65 KB
Header files for qscintilla2

Alternatives

Package Version Architecture Repository
libqscintilla2-qt4-devel-2.11.2-alt1.x86_64.rpm 2.11.2 x86_64 Classic
libqscintilla2-qt4-devel - - -

Requires

Name Value
libqscintilla2-15-qt4 = 2.11.2-alt1:sisyphus+233927.40.6.1
libqt4-devel -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libqscintilla2-qt4-devel = 2.11.2-alt1:sisyphus+233927.40.6.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libqscintilla2-qt4-devel-2.11.2-alt1.i586.rpm
Source Package qscintilla2-2.11.2-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libqscintilla2-qt4-devel rpm package:
    # sudo apt-get install libqscintilla2-qt4-devel

Files

Path
/usr/include/qt4/ListBoxQt.h
/usr/include/qt4/SciAccessibility.h
/usr/include/qt4/SciClasses.h
/usr/include/qt4/ScintillaQt.h
/usr/include/qt4/Qsci/qsciabstractapis.h
/usr/include/qt4/Qsci/qsciapis.h
/usr/include/qt4/Qsci/qscicommand.h
/usr/include/qt4/Qsci/qscicommandset.h
/usr/include/qt4/Qsci/qscidocument.h
/usr/include/qt4/Qsci/qsciglobal.h
/usr/include/qt4/Qsci/qscilexer.h
/usr/include/qt4/Qsci/qscilexeravs.h
/usr/include/qt4/Qsci/qscilexerbash.h
/usr/include/qt4/Qsci/qscilexerbatch.h
/usr/include/qt4/Qsci/qscilexercmake.h
/usr/include/qt4/Qsci/qscilexercoffeescript.h
/usr/include/qt4/Qsci/qscilexercpp.h
/usr/include/qt4/Qsci/qscilexercsharp.h
/usr/include/qt4/Qsci/qscilexercss.h
/usr/include/qt4/Qsci/qscilexercustom.h
/usr/include/qt4/Qsci/qscilexerd.h
/usr/include/qt4/Qsci/qscilexerdiff.h
/usr/include/qt4/Qsci/qscilexeredifact.h
/usr/include/qt4/Qsci/qscilexerfortran.h
/usr/include/qt4/Qsci/qscilexerfortran77.h
/usr/include/qt4/Qsci/qscilexerhtml.h
/usr/include/qt4/Qsci/qscilexeridl.h
/usr/include/qt4/Qsci/qscilexerjava.h
/usr/include/qt4/Qsci/qscilexerjavascript.h
/usr/include/qt4/Qsci/qscilexerjson.h
/usr/include/qt4/Qsci/qscilexerlua.h
/usr/include/qt4/Qsci/qscilexermakefile.h
/usr/include/qt4/Qsci/qscilexermarkdown.h
/usr/include/qt4/Qsci/qscilexermatlab.h
/usr/include/qt4/Qsci/qscilexeroctave.h
/usr/include/qt4/Qsci/qscilexerpascal.h
/usr/include/qt4/Qsci/qscilexerperl.h
/usr/include/qt4/Qsci/qscilexerpo.h
/usr/include/qt4/Qsci/qscilexerpostscript.h
/usr/include/qt4/Qsci/qscilexerpov.h
/usr/include/qt4/Qsci/qscilexerproperties.h
/usr/include/qt4/Qsci/qscilexerpython.h
/usr/include/qt4/Qsci/qscilexerruby.h
/usr/include/qt4/Qsci/qscilexerspice.h
/usr/include/qt4/Qsci/qscilexersql.h
/usr/include/qt4/Qsci/qscilexertcl.h
/usr/include/qt4/Qsci/qscilexertex.h
/usr/include/qt4/Qsci/qscilexerverilog.h
/usr/include/qt4/Qsci/qscilexervhdl.h
/usr/include/qt4/Qsci/qscilexerxml.h
/usr/include/qt4/Qsci/qscilexeryaml.h
/usr/include/qt4/Qsci/qscimacro.h
/usr/include/qt4/Qsci/qsciprinter.h
/usr/include/qt4/Qsci/qsciscintilla.h
/usr/include/qt4/Qsci/qsciscintillabase.h
/usr/include/qt4/Qsci/qscistyle.h
/usr/include/qt4/Qsci/qscistyledtext.h
/usr/lib/libqscintilla2.so
/usr/lib/libqscintilla2_qt4.so
/usr/lib/qt4/lib/libqscintilla2_qt4.so

Changelog

2019-07-05 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.11.2-alt1
- Updated to upstream version 2.11.2.
- Removed disabled qt3 support.
2019-04-25 - Michael Shigorin <mike@altlinux.org> 2.10.8-alt4
- fix build on %e2k
2019-01-17 - Michael Shigorin <mike@altlinux.org> 2.10.8-alt3
- Re-enabled qt4 knob by default: at least qgis version update results in FTBFS
(full list: hgview juffed openscad qgis smokeqt sqliteman universalindentgui)
2019-01-14 - Michael Shigorin <mike@altlinux.org> 2.10.8-alt2
- Disabled qt4 knob by default
- Fixed qt3 knob (and unescaped macro use in %changelog)
2018-12-01 - Alexander Makeenkov <amakeenk@altlinux.org> 2.10.8-alt1
- Updated to upstream version 2.10.8.
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.10.1-alt5.S1.1.1
- (NMU) Rebuilt with python-3.6.4.
2018-02-14 - Vitaly Lipatov <lav@altlinux.ru> 2.10.1-alt5.S1.1
- NMU: autorebuild with python-module-sip 4.9.7
2018-01-25 - Andrew Savchenko <bircoph@altlinux.org> 2.10.1-alt5
- Make qt4 support optional (needed on e2k arch)
2017-11-13 - Aleksei Nikiforov <darktemplar@altlinux.org> 2.10.1-alt4
- Fix provides.
2017-11-12 - Anton Midyukov <antohami@altlinux.org> 2.10.1-alt3
- Added missing files
- Fix missing provides (Closes: 34171)

See Also

Package Description
libqscintilla2-qt5-designer-2.11.2-alt1.i586.rpm QScintilla designer plugin
libqscintilla2-qt5-devel-2.11.2-alt1.i586.rpm Header files for qscintilla2-qt5
libqt3-3.3.8d-alt12.i586.rpm Shared library for the Qt3 GUI toolkit
libqt3-devel-3.3.8d-alt12.i586.rpm Header files and libraries for developing apps which will use Qt3
libqt3-devel-static-3.3.8d-alt12.i586.rpm Version of the Qt GUI toolkit for static linking
libqt3-imageformat-tiff-140-alt4.a.i586.rpm Plugin to add TIFF images read/write capabilities to the Qt3
libqt3-mysql-3.3.8d-alt12.i586.rpm MySQL driver for Qt's SQL classes
libqt3-odbc-3.3.8d-alt12.i586.rpm ODBC drivers for Qt's SQL classes
libqt3-postgresql-3.3.8d-alt12.i586.rpm PostgreSQL drivers for Qt's SQL classes
libqt3-qsa-3.3.8d-alt12.i586.rpm Qt Script for Applications (QSA)
libqt3-qsa-devel-3.3.8d-alt12.i586.rpm Development files for QSA
libqt3-settings-3.3-alt5.i586.rpm Qt3 settings files
libqt3-sqlite-3.3.8d-alt12.i586.rpm SQLite driver for Qt's SQL classes
libqt4-assistant-4.6.3-alt10.2.i586.rpm Qt4 old help system support library
libqt4-assistant-devel-4.6.3-alt10.2.i586.rpm libqt4-assistant development files
Advertisement
Advertisement